GNU logs - #51343, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 07:34:01 +0000
Resent-Message-ID: <handler.51343.B.163497439017876 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 51343 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.163497439017876
          (code B ref -1); Sat, 23 Oct 2021 07:34:01 +0000
Received: (at submit) by debbugs.gnu.org; 23 Oct 2021 07:33:10 +0000
Received: from localhost ([127.0.0.1]:34260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meBWg-0004eG-GQ
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:33:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:41092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meBWd-0004e7-Eb
 for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:33:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42798)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1meBWc-00070F-UC
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 03:33:07 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:46865)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1meBWX-0004kE-6s
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 03:33:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634974376; bh=S5uu0H7xsWfgWa5U/uGy0YEZnQNbvJazUZX9Qjagmis=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=Rsy2th3DelmnxNKTyAUKz3Iz2Mibccshz62ZpfVh/lETg8L3bePaWNHe41h4YFkyeWkONREW32Jwfx/De1TH1+x80lXouKNR5hLieVWvyMnKXcO4lQqseofq3P53WYvM8XF7/rc1/svpTs2xzVQwVZpJS15wzf0E/Sv0O5fxxz0V3uq9OMMx07KJbdEzXVqBRTUXG45FikyjpXTe2vNVWrOxjKsYOG9OVvrSsbrVPX/5fck2UrHVjCh0QIe4UHcbj6hv1RPBX7bO02UoD+8T+Uvi7aKPIfOu5EDPpKGUHr7M9GvS0YlwmnFZzBR3b/cXbiW4IBX1uh06FPDyoBKkww==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634974376; bh=90YOqwedC/BzLmSqmpT7eyqqVD9RE7j1Uk+eC/fEg2c=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=oQDh9Fwa/AZW7mEqlhghiEk1EToUTX7xzm0ZulpBYrRPh8berfc3x9mtueIvG9VCgwMTiQ7oY7usoQNvTUKTSe4mlha586Y7ooI4ey7bSZiwB8X/dMG/TUcHViDf9lYGHnjVAtZ67VY97r7tJw2UTYQ13sqd6FmqWLn6KvedmA7x80bwtiSYMyh5nqQ9X+/fyPwPrkLdvlVLAc9DouAFQML36UOhMHkvOgQ/pDdFionnWztLA2u6e05y7zlTZiK8JFOVY7j7SuNxX5gXvDmkGdTblufBwGLzW3uiJty2QxFWfyKKVQ4x3XgbZXVTf3u5+lUggJjcAhJib2+rMYG2KQ==
X-YMail-OSG: 7xrF0KgVM1kbeiQIAwX86kxeKRTAw7EkBQ_BddG09Eh5IEnMCmLNcnOqWdUvUmw
 WW3yMMgsakybDw8_Dh3fA0jvsBfxO8Gj6lBsBMbXGQm9M8tJFih0pNDPvF2KsRikaGjFAxckkfT7
 B3x9qlVplGFiTcKO9vsvqQq2FT5kjoLHZtvWl5xG5Bk0DRh5FRGC5GJJpr.tPTth3yKMJlJl2M1a
 W4RpwAwTM7AnUtNhG1Atg4SDFUYtHIyYu7BddvUJTf_QAE7iBGV9yWPY8uixdOQ5tTjXoaSx5meH
 FwMNUOq_052qNTa_97BMUg_09_iZaOdZ3agQZHuTpMIAR311vLicLjrlrSSSaNLVWIbIK5FRyfkB
 CbXGm2361PWATdBfBlju6hZ_dKLeYsD2Tx_E11GMo52vdRI55M.3q8wpMlGU.LdH1ci_kl1VqqJ1
 O19BpnB5RQ12LT14foZBVXxH0TOPV5DzhH0K02eMuqHSAdLgRRnm4Hl.eNAHDPUHTVkWBejRsGWR
 _SMN4obkDWpE5Y5t5te62LjaUI2fdjcFnNNv9icO1Kloa3ENEF.ZtsFw3u87LUX_br0kWgiTVf54
 1rI4ODNGOW2IJwscHEA_YEe6fIaQWqECjVBV894I.ojfUX7ib6BeNlMEkzbCbPDydmgYVMIhWrxI
 z2FPlPfva6R4h7pD_ucyuV8hTpHHlPuAmrs1PxJKwHtZMWeX4l3UFl7gYXAETKEkT14COZHerfuq
 IaXKkecRpXUQkQMHkyqMm824U5EbYGdhAmwJ8kc6Re9aDDesAOSVjfTaGB7VKKtZREsIksov_z50
 3dBVyNyMyIbPEMb0xY82Tdjmg..4uZ7hCi2yZnJNkOch63FvnBAYDQTlfGpduJAuTBTwRAb8c2wc
 SFfumEk8b7fW5CPnIyirGEvuPQDpg4NGoKRkFRp.AqeuVsCfl5aLD6sMM7UV.oCf2_JB07HYDYYQ
 5MzLZxy_nUTZN_q0VqydjTYHGQlbp8njmBTCLgcHXN.czw_jhB0IY0Yy7T91ogzohy3U2_W8wXAp
 ..IILwGRujTaqhw95ycNolssgOhUZa0Z.KeJIOWGgN9xwdW5t8z41KBEKRVqU1lC1FAtKHUtk2Mq
 cwLkWI6NtqBvKuSj_HrEiYthAVDEih.RXeXbHG6fZ97G_J0yW.lWBHNu29wBSK0u0JSFF3tu9hVC
 Wg2eWW04glp8ypqpJEtP5KYimCRDYgBGximptOKex4xP27CA24QjOrLCDoZqW01rUPqshm8JpV1e
 lrPbl5PWquYzMv7IShpSnb3XiNqtP5NxTs1aUjtuhLLvRgqgqFvRQF8fb.4sbXOTN8cWkLnshzOu
 .pE2j57qG8rrm9gR5Ko9ZnOLCvplnC7xM.hBS3h__URe874YzmSi2B2_2Hssbjf19xhbSKnO7lP0
 ov_BO8b8do7LZ0ar8T39W35NYZTneRexiZNJhdgbNEtVMjpFv2LLJxzkhzOD5vFJMUZdbGGlIgms
 vMb7wfae8x6Jm6BXG_KJ1p3AAgyPxuqAwnP99Mpo5eyFu6euwZSP9OKDiYrybVQ6Om3evAY_n6QK
 Fvq8NXOMqhwW8yUsdbT4blfCyqMovrC_qwHehAwQRG8qqxocplrHuB2S1FuQz3LQxXQmZ0oxP5D3
 gue3egP7IKhHRhUAi0YpPL3vj6vQfXIz9oUcbk8okWrGmsCiw8lAs.qsFPdOq.NVn4S2.zxSmNA5
 OfXvTt2bx7bJn_QTnpqBEvZtHIVDJzkWV0tTDGZiMWGrE37f4kw6AC4eUh57c6sUzvhywNe3BuQr
 _EyuyYLshWjLSWDloohM4KMLy6bfJWl70BlvsQ2OBwr8559JMBnEfINruHq5DSnTSYsKu2eUNMSE
 LXD8qAkfxVk4qoKOdl0JgYfdjfXPikQpK05w_Eneh_7o__Ug6jAODwhop3yF7Rn2rcO4eZnh0OEP
 hB35e9usgWor40Lbwvo2FMKq0uy5qwDFaPcRS9BaDe7vRW2Girr00FgByjg7OJmAEzp11vCftopi
 GLMXqWYCKIZyn4CupxKZ8O711D21pu9KEvNNpMqrbV9Z1CfIzIFgt836WECVqPCUBSJq1D9OZvpb
 FvqFRr.7sQAuYcZAe._vdTTFCH_wMC2UCITWJfHTJ45zNZ9cPG6b._BBpgz.rzDU95v2lj17Dca8
 5WCo52UeQwQ3AwnbUDTZRXMjFavD0RHi.GC.xQrywn7SwFE9I_xvuIeRLYl8oWxpMvLO2VfPlG9z
 oKizcpOFhnU.58XULyh9v
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 07:32:56 +0000
Received: by kubenode514.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 3b2c0e727d9de69d9028263b8856b368; 
 Sat, 23 Oct 2021 07:32:51 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
Date: Sat, 23 Oct 2021 15:32:48 +0800
Message-ID: <878ryk9owv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <878ryk9owv.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 757
Received-SPF: pass client-ip=66.163.184.148; envelope-from=luangruo@HIDDEN;
 helo=sonic309-22.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)


Previously, in an Emacs built with Xaw3d scroll bars, the thumb
proportion would update as the scrollbar was dragged.  Now it doesn't
update until the scrollbar is released, and something that makes the
scrollbar position change happens.

Thanks.

In GNU Emacs 27.2 (build 2, i386-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
of 2021-10-21 built on vendetta
Windowing system distributor 'The X.Org Foundation', version 11.0.12101001

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
'configure --prefix=/opt/gsb'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GLIB ACL
LIBSELINUX LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE
XIM MODULES THREADS PDUMPER 




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Po Lu <luangruo@HIDDEN>
Subject: bug#51343: Acknowledgement (27.2; Xaw3d scrollbar thumb doesn't
 update while dragged)
Message-ID: <handler.51343.B.163497439017876.ack <at> debbugs.gnu.org>
References: <878ryk9owv.fsf@HIDDEN>
X-Gnu-PR-Message: ack 51343
X-Gnu-PR-Package: emacs
Reply-To: 51343 <at> debbugs.gnu.org
Date: Sat, 23 Oct 2021 07:34:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 51343 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
51343: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D51343
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 08:25:02 +0000
Resent-Message-ID: <handler.51343.B51343.163497747831115 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163497747831115
          (code B ref 51343); Sat, 23 Oct 2021 08:25:02 +0000
Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 08:24:38 +0000
Received: from localhost ([127.0.0.1]:34310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meCKT-00085n-V7
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 04:24:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meCKR-00085Z-6l
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 04:24:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54946)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meCKM-0005ZW-08; Sat, 23 Oct 2021 04:24:30 -0400
Received: from [87.69.77.57] (port=1548 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meCKL-00079Q-Jr; Sat, 23 Oct 2021 04:24:29 -0400
Date: Sat, 23 Oct 2021 11:24:18 +0300
Message-Id: <83ilxo5etp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <878ryk9owv.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 23 Oct 2021 15:32:48 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Previously, in an Emacs built with Xaw3d scroll bars, the thumb
> proportion would update as the scrollbar was dragged.  Now it doesn't
> update until the scrollbar is released, and something that makes the
> scrollbar position change happens.

Could you please bisect to find the commit which changed that?

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 09:58:01 +0000
Resent-Message-ID: <handler.51343.B51343.163498303015896 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163498303015896
          (code B ref 51343); Sat, 23 Oct 2021 09:58:01 +0000
Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 09:57:10 +0000
Received: from localhost ([127.0.0.1]:34417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meDm2-00048J-0M
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 05:57:10 -0400
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:39664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meDlx-00047l-9R
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 05:57:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634983019; bh=q1q8eKkrrX2zgL/HOHnV+kobnh3XM98YOzTX1sOcTvM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=D1QWLMIUasRzeCdteKdxNytWPI7wODBqqDG8Lp0CTiPiKAgqkdGW8SF7qxIepkKHO/IjgwpWVZU7GXDN1Y3iK/WuQFoEipOCDgxW6ZlOcNQ+OZSPBat4wu0R9yFeKfOXRNFhBQYThzbSl2Ntf835ni16O6/rxMSVVX+NXjqQr/ipnbmGQ99IOf6dDR6LD8Lo1ovyNsD4DCgbRoHOEbG8xtKRyaJB4VFuE1FQVtf87M4yPac9GvC4ZgguMnHtXeRfpvHZbP6V1bVaEIxFlC+Hu/uR7yq8//hc6V5pHnSJOHmsB9F5XfPSvBdaKE09j6SO4tf5V12eWnedI3WXT+Ykgw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634983019; bh=gAIla6bVjh3s4YohpWsQ29KT/rIaDAB9qK599FpndOx=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=a/7bn6303oqBqlA9fhEyWRwrarqjj5xFh18ZxgiropcPoyBauF0oTd+BkyB6rTHFo4XukOfF+gHtzGGfQi+0RWFSqmKa22rtMFhsDuNUgUNC7p9l3RwT/PMhaRxVsKfCa45//ahaJGeK32Z2u5q6lkrDRzVeol2gCXGMsuJvcKSZH33yEpdqmYf48K0UI+Fxg7U8dySP9DbPteVLbwa5XtH7miMAtlNYDVfjklQfLfANeDPL4qPiFzXNhI6hbhoVujNGJZySCBxX5aIDU8FXxhmO32kWcJL/d0Y4HK1cJN6VfEqmn/iG0u6NMbW1i2lKfgTdlWyAIGJu+LYGrGDQ4w==
X-YMail-OSG: fISHd8gVM1nS3T1Yp0mufs2EB5fRe5dOJ7.TpJKweztVDf5Nvl4J3U1Fw_ESZoz
 pY7w0uBhHOZDLfR_vOsehXa8301ay84n_8DaNniuyFK6iSClGGy_ys.CxPCf6owhaJTbrrQgPXwm
 xKTFwNz3aQjGElsfgeHAsPFjR.qThCYZPYBxm9OgKi7hfHfiVZPqwohfLofqZwxYCLFkpsApR.Q0
 E_mO66JZFI33WjAvzJamEAKdJ.e3YKGkZm2aobpdaKGZKiZUWP66jsIve5vo1ElnmdoiiBTKKPuV
 kbnqa7jw5WmZ8CjAQQBUTByobYUPClfFA2B0klmwhKbj.jJzB4CC5fa_IitsODldHSq304jfl5Yx
 hOamUQWhfhQ5q2o4XkB9zw.nqIxp7cqxUl0D9i5tjtKk8BVzr6jGlFvNL2cmorNgnk0h9rFKXZuv
 ViKXQnVjGCsxkl_VPhLQVgjZ1pA86EdZHw5EjtSt379uC7Ef3K5MIiY5WE3a7oFifaYwt8dNyzso
 qF0NAR_MXnMYR3lMk54sHiuEYVGa_l4CBaRcBS_PP4aIyvKdvymqq.QE4E15C_wyPqOLje_BN6M_
 5p3p7GR477qpB93oStwuMAJ0MlfcK6t5dWP.ZSF8PSbT5mwuAb_3t2YLludSTY6Sqy6EUX3LOZml
 9ZAYWzdM3F.sDholPgg.JcUezR6n5bKMlqvAPgevxDyezKzoRa9WBBZZ543LtGsTb9EsHY5PBORT
 T_PEwn8SfBObYpohPNUqk4QpOW77qVEwHCkui.AfezC.OAf8Ek47l8DxseEq0nNQtN6vdVz7ta03
 Z52mQ5st3JeHfRrMzhbIsQb17tk2Pz6NPSPHXeElteze1JKN7mCXtmtMp6v0DxI1ToOLqywulJp4
 CAXA3prTv5lM3z.eQcuJH81AjjgAlGtSDRcWLbmWA0WDxiM4u5VOY1PrQTZW_K0e5Buq3Nr7UgXk
 axRZU9DFnxpugp7LNdO46uCpnooUNdSxgpg0yVcRbHGGo3ud1RN1TkINtpMqVEJpes1Cs2H0arsn
 amH3veU0YSV04HX0BIg7Fdir50o0T.Dtzuwx_yp_rygClSmWBYyGIM6uORq1_X4jpe8mahhy4Znn
 igajOinzS8CuoyzxCe7XH7Oc.wxlzNw_KIWYHEDbFfhpYx.YZvUhVyXExWl4b4pe9Yyx.vVS7qpp
 OvD6uCAnhIbZSVu6ZxZ67YlUKDkWQyj1E9xECi4wj0UgjpuQK2EZE4de08aFAx5KLKgKf074rMtl
 FVVE5PEbGrgYTMOaor9jlZ1FFukrmkOkicftsk3SkWgIQSYudbW2u.iZNA5duSHpG4mnlMJH7zE5
 4RR0SobFfyDMO1zGA5namj91n_1dVCFvTo03T6WeUeeiw5Orrj7mj7k4OhKsPt9KTupKq3Al_bN.
 H5OuMJTPjj1GKzGw9TO10H_ZycNIAi.oFznUFaCpR3AiZmQpie8hJpUHQ3.tv9lZH3ipLDCXHMnd
 QDVKjwWBNYo8rnNfykz6EIJnhq9EZh9JR9EkMtDhCRTguEyNsVymIVYNYaE8IT6YxUAdr953zdk8
 f8DwKkjObWur.y0feTOeW5gN8kkd5MFvf_5upSgxppdSsNzKFDQj2U_YqxIj2OlBuGMYFiMMQjn3
 tKIpBH7Gcxdbt9NR__LPV6nO9o8TSy7o7E8PoY1Ic8hgaSzouu1d1YynTFyNl8_rO4BoZ7oaHIiu
 Y8yycI8N5NjbFRWr6b8TYNmszRGLEGdUoNljqGMfnEy0Cg1TkM2Nm29u71CveDDCowqnSwKBfOFp
 X6FseZ9BRiU.9w.ASiWlgUPWYIk1NI4nfBUzi2LnXURi1QbyEa5TllDW_1dzLOHXPcwwzC5pff0T
 MjjtqSS5yDUBaGmR9HuCYzTR02xRwGxjmgAYmuKtNkb9o6gmZPxc7fozaFKZrhgNU0422LQZWRDC
 ToDu0qS342j5w6_ellKcB254qq2Yn3NJTn_Hzeu0pZrkM8C.8.llDemXuJMnOvoTCjp4XjbWJMA4
 0CAlZF4dsly4XM09lIJ8jksclSN.NmbVgrN66EZc8n01rulHeFJTB.yb3qYxN5z8iWML2pKgqhNl
 ap7HPQghhc0VLUInEqZkfQtRUh_aukTj4Xr80FU0ZWNMF2kRg0PU2pyh0RILhzSv_YdRSML4l7.1
 O3m0YaOBBPzvB5WPgBu198JEuRH6jcKuz7Ev9nc127QfYdmj6wbx9xQBHjYKmUw.Qf64j8vH9nQ1
 mHxvuahYdlAffVZQQVcAay_nS0a0teB4G.o2TwV60FiM.cYf0hqs-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 09:56:59 +0000
Received: by kubenode517.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 314e2fb8502bc977d0d0092a01c85849; 
 Sat, 23 Oct 2021 09:56:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN>
Date: Sat, 23 Oct 2021 17:56:52 +0800
In-Reply-To: <83ilxo5etp.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 Oct
 2021 11:24:18 +0300")
Message-ID: <87pmrw83ob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 454
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Could you please bisect to find the commit which changed that?

Do you mean `git bisect'?  I tried using it for Emacs not long ago, but
after a while odd build errors started cropping up.

Eventually, I got to a point where I had to run `make bootstrap' before
each build, and it started taking too long.

Is there anything in particular that I'm missing and can be used to
speed up the build?  Thanks in advance.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 11:51:02 +0000
Resent-Message-ID: <handler.51343.B51343.163498983828426 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163498983828426
          (code B ref 51343); Sat, 23 Oct 2021 11:51:02 +0000
Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 11:50:38 +0000
Received: from localhost ([127.0.0.1]:34529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meFXp-0007OQ-M1
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 07:50:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meFXn-0007OE-Ty
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 07:50:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58518)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meFXi-0004tg-J1; Sat, 23 Oct 2021 07:50:30 -0400
Received: from [87.69.77.57] (port=2526 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meFXP-0003mb-Ra; Sat, 23 Oct 2021 07:50:30 -0400
Date: Sat, 23 Oct 2021 14:50:00 +0300
Message-Id: <838ryk55av.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87pmrw83ob.fsf@HIDDEN> (message from Po Lu on Sat, 23 Oct
 2021 17:56:52 +0800)
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: 51343 <at> debbugs.gnu.org
> Date: Sat, 23 Oct 2021 17:56:52 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Could you please bisect to find the commit which changed that?
> 
> Do you mean `git bisect'?

Yes.

> I tried using it for Emacs not long ago, but after a while odd build
> errors started cropping up.
> 
> Eventually, I got to a point where I had to run `make bootstrap' before
> each build, and it started taking too long.
> 
> Is there anything in particular that I'm missing and can be used to
> speed up the build?  Thanks in advance.

"make -j10 bootstrap", perhaps?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 12:36:01 +0000
Resent-Message-ID: <handler.51343.B51343.1634992547575 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.1634992547575
          (code B ref 51343); Sat, 23 Oct 2021 12:36:01 +0000
Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 12:35:47 +0000
Received: from localhost ([127.0.0.1]:34616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meGFX-000098-IX
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 08:35:47 -0400
Received: from sonic309-20.consmr.mail.ne1.yahoo.com ([66.163.184.146]:43786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meGFU-00008a-PR
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 08:35:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634992539; bh=gy06rklqG+K/yL9gAFcE5Id2TZP7r9aBvmG2VE+oTHo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=sUUo+swEdRmHDsAKHPTZNGlB5uu5eMOipchiYFxnIA584S2T2o8NSzQuqhfRd3vtjKcyPtVfQnSpQQyThx0DQaJpIkARphR6PvDQMpcdDyNXtR+BAf1BBUGT+delNKFcTRH6y18wIDgGgoxW8663WSihBaeSX1Q/kbB6xujq1iic0PGH1OOqwyXs/QeV8aez7hdPuh411zNwYXx7KeudotoOHOwvgTuMsN0MUsYSaWz0VETxEnLg2fgezkAwlh8GnR9PwFfnzUOIBEQy6GKHzobZ9Lz9w25/OGdb+/OEczUAe+TjkEirMejFKLQsL0Sok52vraH8hTn8BmbLtWbWbw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1634992539; bh=Z9k3tJEJ2nd/PtPkPO1EZ8IlfDNaBSuhuR4ZDwua6AC=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=fxhD4LXUeFs139PIjAvUGCcozPLucNY0iTXBjQRu5QYwXYFyzthXBWHyKtmZRtR6OibKDvsbreNH2NeBncFpCp1ks+CfZ9QjZu1lK2sdcJU+LWNwjdjXz2aZk/IlCK4gdxbfntE3i0luJYtlDyYmXtp6QS1E71oL9rJgeod18+Jewdbj08T2rV3GZL55HbUEfCSXrEgST2KM5boqvghpDRSxxmob8ZRPSItNKSU/2ncM3KT113ugTTXU5GTWXJiLHSzSfwPAV4yFW+r6g8oCpSRMKe0Yo47dojQtdXbuDcUG7H1j8NW63eYvmWz9O2fVlD4kvfouGI/oQUyaqce4ig==
X-YMail-OSG: MglwQmsVM1mvo4pnuoX83.tkiz27y1_A9yH61hSOelDcE4Jh6He2JI4jKtTXyB5
 SAD7Ryud6M9BxnqMUxVfNBuB3TY.JUKtPQSFj_D63QzALgg6Fo6nK5gxTCduD9q6E78gyln1bgTZ
 L5t7cef4sPPsuqZqfhkwUAKrTHs3.kngCHAMdRwt0F1jvqNHwjnLdXRQoQv5c3.cPYYBlP3GmNEk
 7WTLEEJb4qvNfAARZJMc729G5YwS4EKPd5Tf064WZ9vMfd8_uIETIgdaKEkL7mYQvkh7EjWnOpAK
 dESrg_vYEpT3Y3t0IQbc_LdYCorhN8ywJ1Elbpkvj97pwoK7dfAMXuJJBlKTRLFPXJFwuLZJXMTE
 Ka5rPpmu2GXHhNgzEhURTiLxVcmmtdnt2hk68yvvt_Rra6NBgsyg3PDPA0Fop82eCzQ3DyhMXYG.
 hRPvDZN35DetdIYX7bm3Ks0DeIIJzRUmqzVNdR5QEx8kDVHg9UztusoBFjvVQg24eyFo6Mj.4mNO
 abtBpZDMfdP91XXPV.8NfidLadAgvPc_oHJuOnWjhLl.XzH0Vpn0GV5sAKdKzjsrtGn0s.vVHuaw
 XTviSKis2FJRo9zeJOdDQHd4R2pRLRldS8FrWe2fO5FeLFQyaN2lgKGocgaoBnkK_vn40O2QNUwk
 mCFGfIrth3LZP.f.xk1LgHJBay6P2cVCSUvKFxOAkj0tCVnwNcQhu7vEDIcuG5Ex03DLpzhCGLRP
 TpSV5ZZdkp5quS.4rZGua6ucNrWF.5WqyR4hyUFZ2OOSnFJBKZW9gw0G5hki1Q_zMt1t_f5XczDU
 4DTcFqWcVzPpJQGLy9qZluEYrUtPq4uoNXqYN3jpo9tCcml534iyAgAf4D_JIs.EWwfk2C12XSmM
 9mLF6X8EpdJFyRmd.E_Vq58ESaXstqz5QL5TCpNIVqt9Nbc_PgiY1MZ66kAtMth1IKmhgwrYgd8G
 MIGgwJSbm3PI3RTx1VaIUSqWyd7zp_NF9fzTp76xGS.NcFDN1qQRo1SmwhMfQIXMFoDna0iqMJl7
 Bw1yv0A61pHXwidT20OBSijynEWW4zUmyLXbCRZEDgujqydcPnEy.5qTDbzlz8l_ChUuG4xSC5N6
 xFjTUTFTMNtNRFdpun97sgm9g32rLcGJoFsMTWK9xafcCrzkq4q9chZ.vTasSD_Zf.9t4NpjKGQz
 fgiuMiVEQXd95w722j69iTBPrB.Ke54c2tYF0gj6BYyUDYY.h4tVKH_wLvYC7BVTvTOP1BZ9wzel
 y80Ffj1Hv0OKqiEYMQAnjMd4CUMAM.TH7iS.4_alOqPFtu1Ino5q3kg1kYo.nomIt9b3B5fsC.ag
 V.a0Z14Jk9BGP3LTYqnPedIUW4yFEtCbrF5AFag1eLqVQDQjHlvfJlrhx8o.Sdz6zLPm8z9R4flh
 2.LLYkj1QR2r4zZFJKqslIDs2V0QM1nH_yP2ftI3eKTlIwCZGwkoe.ixPH9LxBrhogY3U5WBglFu
 1mQtv0HCpncwK728CLZaDpdh7u4dhtoi8fLCDs7mwyMTRTzbc7r6D9KM2VMh.tux9WJOTPmdgZvY
 tIPIepl3oML4mNrRTcntHzboY20QIaAQSfAabvenKzq5m3RjZn872RYcTzxbV_E6LM1Tuf7RHPdR
 DqewbekbPEnMyeI7GKym0fn52f0j98fF55g9xGbzORr2exBC_bbKvGYeK8LRhX0qkqlbsgkISOdB
 BbdW5mPiBzper9.GJT8O9LPkV3uX8HD9zWN2unlY0I_yS1Dg22pntSeXKz8x_JvGUL_6Z15H07z9
 RqgUXrqRknsHVCE0fz3onxUxrJFhQmB87v3OqfNxuR8ffUXZyq6PE6ALbWYeEUibZFAVPgXZ98qa
 Ce4m1Xj1IVKbYGtGEjwjIzQgodN6I73NxfvJScF7Jkt7Ueu86yoJnhP_G8OeyPQCrrCJuDjxDjH8
 BVRCrJW18jM85xcdFWxF7jHrxuuNK5vSD_EQRUZ26qnluAtCoOwT10YJKfGtyh3RgYoDH7WE9sk1
 eQ17m8oFFp4XSE7j5wbMSPoKQBAmAtaheegmM.Tyh.M4z5.H1MmHaSS32mJTXRAxPLpO_nvel1CO
 3lqdX0_Vv7romVDYHpZ9izTraKAHqVW724pc8orBJkehaD3ZcJoLnbI2F2Bry6QIsZLSx5kZK38j
 VAfFu8cyxBlqQbUxXxDcxo92jfKHcOC2OiYc1VPWaZBkrzTYl3Gbe8EPooEqMkim4nSbguwfXZX_
 MC0uenfl8Gz2DcTH7jzUC3VBMQjkk6Z_bfqK.RU8IXzDOMM7D0t_IbjC_
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 23 Oct 2021 12:35:39 +0000
Received: by kubenode510.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID f577f6d3dce600a3067872a1abe60534; 
 Sat, 23 Oct 2021 12:35:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <838ryk55av.fsf@HIDDEN>
Date: Sat, 23 Oct 2021 20:35:28 +0800
In-Reply-To: <838ryk55av.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 Oct
 2021 14:50:00 +0300")
Message-ID: <87sfwr7wbz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 293
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> "make -j10 bootstrap", perhaps?

Sadly, I don't have the luxury of a processor with 10 execution units,
at least on the machine that exhibited the problem.  Plain -j2 will have
to do.

But I will bisect tomorrow and let you know the results.  Thanks :)




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Oct 2021 14:18:02 +0000
Resent-Message-ID: <handler.51343.B51343.163499862212987 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163499862212987
          (code B ref 51343); Sat, 23 Oct 2021 14:18:02 +0000
Received: (at 51343) by debbugs.gnu.org; 23 Oct 2021 14:17:02 +0000
Received: from localhost ([127.0.0.1]:36851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meHpV-0003NJ-Mw
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 10:17:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1meHpR-0003Mw-W7
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 10:17:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34064)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1meHpM-0005TP-Pa; Sat, 23 Oct 2021 10:16:52 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1meHpL-0003Cw-JN; Sat, 23 Oct 2021 10:16:51 -0400
From: Glenn Morris <rgm@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
X-Spook: president penrep FBI smugglers CIM Armani CBP Border
X-Ran: q)DGhwU@j@=fy{F%z7']\I_n5H}\oMR!(S*XEh%QK]djG_$lu!-Jz\W?<$kPqj{^xp%6%s
X-Hue: cyan
X-Attribution: GM
Date: Sat, 23 Oct 2021 10:16:51 -0400
In-Reply-To: <87pmrw83ob.fsf@HIDDEN> (Po Lu's message of "Sat, 23 Oct 2021
 17:56:52 +0800")
Message-ID: <w9zgqzygfg.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.6 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Po Lu wrote:

> Is there anything in particular that I'm missing and can be used to
> speed up the build?

You don't need to compile all the lisp files for this kind of problem.
For bisecting, I use:

make maintainer-clean >& /dev/null
autoreconf -fi -I m4
./configure [...] --cache-file=/tmp/ccache
make -C lib [-j #] all
make -C src [-j #] emacs




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 24 Oct 2021 02:16:02 +0000
Resent-Message-ID: <handler.51343.B51343.163504171912188 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163504171912188
          (code B ref 51343); Sun, 24 Oct 2021 02:16:02 +0000
Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 02:15:19 +0000
Received: from localhost ([127.0.0.1]:37636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meT2d-0003AW-JR
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 22:15:19 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:35134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meT2a-0003AG-VX
 for 51343 <at> debbugs.gnu.org; Sat, 23 Oct 2021 22:15:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635041711; bh=zt4h7x0+rqLbe8Ko7cxl9sVoVBJ1rsR96R6GOecCVbQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=uHBKuBaaPUfY/9EDAHsflcUJVmZvzz7cjeWN8tcBKaeD/Fqyad/OWHNt3sAJ1La2on2W1mVg4sjKG4AAeE0bPfN3d91sa5J3REzTO5ZbL2fXTDCQK2GgsIMBF1jSWvL+yVjbsJzcQDuAI/S2F7sDQdB50szinyK/Qrr9FYNAif8IeTlNt03KcSOyrT9b7RsScRxT7411SIDhO50ZJFFQ+yMXjQlPj7D12j2E+sMsbqGrpYAuX0fiPQWKQ27laA0KQpYIXACxqpEew53c8MgzIrcYzGvdu8ZoXx3E5O1EgOXwLwvDzt5J1uU3GPeRBzufK8YmFN87O89545NGGmZvrQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635041711; bh=0hcg3ov/NgIn7J6IDyllkiMc83+VU/nygRIBoLo8oxG=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=R2eBEHCmNskbdf7AEZ0M/MSwMM2g10VQASa2r5OAxYpU3XR82SbWql7DgsGhuhnW2vS3E0M1hy3DRzpcGcktFGiuIGsrcGWkJVrfZBk1hRMauXa7PWHTGj/faZ9jhAUc6IrQJGZbkpVG2ewoRDDqAzA3zkEwVsFiMH/cjCvf5VuYmnGzYKHdWXGAOKl6YoqsSkf4qV5NLVkCfg5th5okmTify4HhGRoEfxM2WAaE5aUPXe4yGzO+QT8LichxFYeo6r3yEwjrbT22bh6Gqj2dMYrCzWEz5QVhOA1w0BYLw2YylB6vbepAu/T4dFiEYIUbIBAncPtLrDozGgwGuFVNZg==
X-YMail-OSG: NkbHD4kVM1nhnCQvrYUYyi3kyH5aJnpC4tQ.yqx2QqJQq0s7THXSrRevujsTGu4
 BLow8.1imMDOgAdk0CJMnLeGDPWt7v0Sx23lD5C8ikI9b8pwNdYsjCGZzVVW.Lk9JLhU3CLtAG0U
 9nJx53QesnThtpouesOQAQ6v.82Mi6nV43ZESoPQnCoE91rhWCBQwqH063pxNzKbX9pQGADu9n3C
 imHFEYencS.C2e33XmN1hyeSobXTR7xrW30eUX4C4e0WLvSpN7u1ru4jT58_40EY8aqFb2S1K91o
 gBBAM_QeeBa5WN_IeeDBhWIlDXpH2dUU2R3xDyJUea8dmHgP1hyEo6amQ32VHgJp2PbGo5B8aWrf
 pLTwDlOcMwQYNqnyDM5d0L3bLfMcu.csuA_8oXZZPqluZhs_tT8hS4ujgfQ6cgyZWk1hVOl.Wwww
 g2sgduMYNRPdJXxVEKYo2rq0ItHk5jqixwcO1dipumInSl5xjBM.LutIGHEm0brtSYB.iaIWLQMt
 UPKimqXWzp_bDj5n_xFA1iN6iC0X4ejuEgR_hiz57ay9l.2uJqosZNPHO0ufnz3AtvNBzn.u7cJN
 d66EKm3Kw1CQ2RtpQoPj9niTy7qGDKPljd8sRkl6lA681pg.bup43SrluIpAIsRk5hjk5byFRKxB
 L4KgaXXzTCkQ_4mf.GRUl19KqaxB3WpIzjRGQJymPpZUvflPhh1UrdEX.dQtrM2YAs_xI3XcT4WX
 9UC6yvfy3VpM3t92xAEfoX_EksVmOO2mR8Sw5g0qcsngF_FvhpF6c7pst7Nj_gZ.Zb3HaoMf45Ds
 nvREta55ocTG0CMM8vY_MUE6OOP.7sc42IfsZKpkvM8nsA7.HRM2tspj.j0ipXkrM67SiRGGqO1.
 2N05DkBg0dSkKy_FydecchFGO5pqLyyG7oG7dNOASs1bY6lPD77rCPxs41708cGQONDWLnmZdK72
 rpT9JGCf4EF32CsKSCSlFHzQl.L38AbbrOs6YDPH1SEhbsTHfdNY0eXhjDXjLmlDhgwG0LIIupUu
 2FsGGvl28Vhebg8pp.dWW1ZyvW6hDsgIpQCZGGkePwPnCDWXnXca3mXsHNPKBhQDE1ZdlooYTfje
 AN6Z7wq7UPK4bloQu3zDW7kY9eGds4SACMBTr74QS17mT8RhjGWrXJVKB1hTwWcHDrN7kbbfOHRM
 pkaL4ghU0RxNq5dwJehfRVhCmirj2P5ZolmmbLCcncslp0g2p9o5acOvo53LEYDtkMPoTpQG6mAz
 8wjLi2B0JyCcEueZfFOiTkJTc6rR7cAdOY.jtIKYfBkQG7Fx4FBvfbo3ZLiWL48ZDIAOVMPeCegX
 oPTHKMJ5Q.PIoMBpcWrgt._Q8hKXHsCWp4jD2l71AgWjY3okAS0yhvE9I7feGzwH.6wkOpZd_K9H
 rBCzjKPX6xyZXNIeNziXsjAYX1B7iRMvOTM32dNv2UMYHbDGVPME6VtwNOcU9frjk0bioGaWV65h
 JTEmrfIadAx.sMxZp9nd78HYREHABb3Y2A3o0IFMH6gqeVriG8PADkKgIjbbC5GjBYmwLJMhEUeY
 bBiV4J1TNWZrB981ZKH3LU1ppMcHgu98M_Jkf1MH1hu94ghp3P7c2N.WAt_5VZvAAWP2dooZM94I
 UqH1Mlrwf5bRRru0EGBm1t9DacZ9U1aLfcaSdAjkBl31jMo9YTSoPsRqE1LT_EhiPjo.7fkTUCPx
 Dy0Sfu1KYELAL.wDJzcH7qvuBTfFLuMpio0ivEpUgPCMoTtum9a9LRQeGLPjfSjow5BHrXYmdRdp
 adf8B5o25B5DiVDzJISZyf4Z4nup16_mloNSMI_7eDBT99DRj5txX6GgUKVl9YR.6ljijVA73hnp
 Cohylrz8_sRwVzvUTwvkw8V57oYTec5YD8d9C2geyVyLdB.W8JY_BA_YPVg9LAhrmn5lNAJb2o01
 ptMbXPvOdebxgqkgi1EpCu3alT7_pB3jS0jyYt8KYxiejN9qAmM_2n9bhbr5PJsq4q.IV4fD2FIP
 ihLtGpeIuMvFG2eidMaX.G7O7AQWt3N3c56b96DzHaLkrDkIuyeaQb8QP7AoCcOAfsJaRnG1xh8Q
 19H9sLPc8NYwVfK6FfePwsjfzH3gr5hzyA455i2HaCXgRGsFhNDuwUGarPhW9kzQMlAKcKtyrg00
 EnRwCYA3kt5eAeWuYnQ05VAh.flA7tCLKuBE0wWY1hp0ZBPsEK0U93Y1hwwpZE8KQmssX8GBGL14
 hQRWpnIVMPMRsRPSiwLfRzugSKL2D9bKB_Lfk6cewny3A8_GifUk-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sun, 24 Oct 2021 02:15:11 +0000
Received: by kubenode510.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID ecbae90cf5b5a3fe920458b475dac43d; 
 Sun, 24 Oct 2021 02:15:05 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 10:15:02 +0800
In-Reply-To: <w9zgqzygfg.fsf@HIDDEN> (Glenn Morris's message of
 "Sat, 23 Oct 2021 10:16:51 -0400")
Message-ID: <877de36ue1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 557
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> You don't need to compile all the lisp files for this kind of problem.
> For bisecting, I use:
>
> make maintainer-clean >& /dev/null
> autoreconf -fi -I m4
> ./configure [...] --cache-file=/tmp/ccache
> make -C lib [-j #] all
> make -C src [-j #] emacs

Thanks, this helped a lot.

This problem exists all the way back to Emacs 25, and probably earlier.
However, at that point, I wasn't able to continue building Emacs on my
system, probably due to some functions for peeking at file streams being
removed from glibc.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 24 Oct 2021 06:17:02 +0000
Resent-Message-ID: <handler.51343.B51343.16350562064062 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: rgm@HIDDEN, 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.16350562064062
          (code B ref 51343); Sun, 24 Oct 2021 06:17:02 +0000
Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 06:16:46 +0000
Received: from localhost ([127.0.0.1]:37719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meWoI-00013S-2F
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:16:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meWoF-00013E-NC
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:16:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52312)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meWoA-0007fa-DU; Sun, 24 Oct 2021 02:16:38 -0400
Received: from [87.69.77.57] (port=3564 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meWo9-00013L-Bw; Sun, 24 Oct 2021 02:16:37 -0400
Date: Sun, 24 Oct 2021 09:16:27 +0300
Message-Id: <83fssr3q2s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <877de36ue1.fsf@HIDDEN> (message from Po Lu on Sun, 24 Oct
 2021 10:15:02 +0800)
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  51343 <at> debbugs.gnu.org
> Date: Sun, 24 Oct 2021 10:15:02 +0800
> 
> This problem exists all the way back to Emacs 25, and probably earlier.

Thanks.  Can you try figuring out in which released Emacs version this
started happening?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 24 Oct 2021 06:29:02 +0000
Resent-Message-ID: <handler.51343.B51343.16350569315241 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: rgm@HIDDEN, 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.16350569315241
          (code B ref 51343); Sun, 24 Oct 2021 06:29:02 +0000
Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 06:28:51 +0000
Received: from localhost ([127.0.0.1]:37739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meWzy-0001MT-Tn
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:28:51 -0400
Received: from sonic315-22.consmr.mail.ne1.yahoo.com ([66.163.190.148]:34459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1meWzx-0001MG-6z
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 02:28:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635056923; bh=0IMOEg2sZvBiBsdXy5Q3OuVx3q3u3exldBOAlqlVsC0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=M4KAu8+on+TqDVhg7i9rXAG7zyUgBVLgmZEk+izOXBUM8bJ/VdlCMbiZgr1SrG7uQoDAQdOJ5GK5MliQ6HtXbnt4SAcwviR4Upyl04jDlMPsSM31qJOunOoAoKnkMujbE/4D09jWmIJB12pLP1nEtizNR0Fatw4UnHEv7Cun2I+ll6kdKIwoBjc4udbeXkBzDbxj8ZCI1MbSsS4gOp6YIBpoGCb7WZU94Zh1FYjqbVplzE4odZFYJsRMlEwRZ2jBKI9VAQPrJgp8VqtfbOFZY6CeSlKXcWPVLFP6ThKNyzcJLbCWcxSyVG4kIHpG/sLEuZ1MJcU1KpXwyNrjVOpvAA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635056923; bh=PwYfR20RtbZrEXLMQUVChHW1LxACPGGuVo7C/7CbHmD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=sB1gC6iyQpNcXBXc6sy6cpBT9+GtruDEcHtNl9AEwj5G7V7xKwtaYFerVKCsLn49NpQFC+LKLGfNLHO54/Q7gYPCyuctRsRweKBTMR1Uh8Iu+qdfG4TnrXn/sek2jP55QzzBbRtddLXsXGybHLz0707cNvFgNvwyaXbPn3rmnwyQVPKdmCXMAoKakt+66FFq5nz29hv3PEOEU76tmfsDoDsqb7B8MCPXXdjg+9kDv7AXnSFCPvXWdB3AufLSshUubenJydoKp1E9aHHDR9woulDMrAQ1XGZdum1UEt8JUiUE9554xCbuqgGSBDLvL8uazPhvYXyxmUFPlNveOZ/27g==
X-YMail-OSG: hOQIjJkVM1n_jmwG1iDcHBzxmj9Woyj1P7ni6mlcWyF_3XjxvvjX3M7t27n6OeH
 Rbz3I89B_P4Ky9Mx_8_lDs333CKERsU77NRc3W2HeFeugK8OyFybVBZIWz_3IDstpDbhnMhUXSwJ
 VzoS99F7rw5cBmGocNhM2bUzTDD0pfY8h0gCl_akJFxuVi70MV8Zq50iuI2EmqKRdcgeT9_1d1MZ
 fTs3ew_1vKMiWXQ04IbHPVA2Uw61K2RpgsbQO5A39MFBk8b.woT_VGxuUEtqaidEemOb4E00UE54
 HDg8SOg8OllhodrSUzth3NMNbAQZTz7Yeuf3.KYmfc46O6x3AP5tXMZlEMg0RvC7PSfkCenzogrU
 3ziYEJ_1lN75taN6K2R9LTAkokW1ZnJPK1eDd5lu2U4rUzly4hx7JJjkOQIrLot.KgipRvuLihMC
 Lcn5EutYvCZit6jg.ydefroLFD51M.LZKJnXYzfaXSUSA60VwpluSgyjnGsmP.XHVTPKn63vZ69K
 td35rrcBrUZRNlMzA9zF6YJFwv52e82zYLmBtqs0qGXi0bPU4SzDM3TZWtw.uyGu.DLHBhtD5nzL
 Wcu6yQPPZ5c2dxUPcavEah2z7rU7HmHtWm1fnyayqbnVfguQ74Qtbh3P0kRPfZiXKEItX6v8ua1o
 RUFQDaVyuCbZs2o4iH6KnZymENfm7VAX7mlCoEUQSYWdMUJa0XA9FgBEy62qUY_uYKrINGaLzVYN
 WCQbv7ecqlUp6yFP9XTZ3gSEJ66pyobKJCpKZww_fms9kP8w_Y3a1Lf0IhVwBFszffGryzB50EJo
 gktJnFROIecWucIZhbH66e7wyldxLDWonnRBL2nNYjBikO6Vuwjn4a8lfxzQa5HW__STWCCsWNc7
 46Jvm1CF_n7lNJVpDstrje2r7XtT12ppqv7RZWYpHqwSpgK6egr2iRzH1cdoBakfmjY9zG5Rwyt4
 pK8yDPXeZPyvT5SdJ3NzeNcb4wgmKJA1SvsYvGPp5sXD27xV0R5ZFETL89hqHCZRsTA05OVNENL9
 flmJUWzGSny3JV3qq8ELZB7vijHy2FYuGwY80wIEce.MbF5DdbXGXfdW7s1vPnJdpIfXMyl5gIed
 hSH6GnE68I7F8..pEmTzdJUC8_C6_9QrsyFa0vrCscu.cFYgFyMp5aF2cAC7fcogqNtIkptlJEoF
 h8uaT.PNU4cqqm6KInAFPXaQ5WN47iMC1bGIcU6ef6ddYc3lH7ncHWovQEopKQOytYVXUwwfFfrP
 b8CwDwQMnlsjQoTmoOD9k9xeJ5teaZaFcdE50QUUWUnlrMKi0ltJByME1wvR6.J_SwKc9vcy7Ylx
 SHD_jV45kkCauRsuFvNPGW_A3Tw2pE5be_nys4io8YqKrmcci_p6j2i1QlommdtmHRDGLcizuh1.
 qA7eb9UqxbrVhdaC2n5cOpVmc_vKFbub0LSf9Ty8mplkRuTIRMLTPik70Ouca_tymO7Z3dCng597
 IJ0WsSb42mlxLShzpyq4Uwr7LfBUNRDlljWCDHtv6kpFPM2HHSj.uB03eIunoCh0YeoVNLm0TzK8
 5heBlOPgxGCcXWrLSUuh_dPWFU8b6e2_RSTeo2OJqrj1N3CZOEDBMWalDAa8kK2.ahSTlU5GpjML
 p94UD72ZU9c9ujluaCXwB3Ztv3hqqLlh5_imt7y1jldbyeaWieMiVPflCg.ri7YjcML9u.GrApvP
 8b9s5plVlkWqQeDW5DM3VRH770J0eu85EIZk8.dVw6fvUDiiufL_0YP.o1o.W3Wmp8zUK2Tds9S7
 uDTazUc.Eb.O1Whzlg4ewsb7dG7F6dBOyV4NsGuiAYATmcl.czvrR7NVhO.OLOsXJ8qx4GVtfaeD
 StY9fJebD.SKiW.YMzN5nhSgEAP6k69lS3_IZuFdNd6u_AY55iU9DkK00TEX8UDrLf3PvCiZYbKb
 WbFtEXbo_owqXf1JFJZqPg2fRmH1IMahIrk.HPdbfawmWgZE27lCjixeRPsThsWWXRc2Xq.jP0oO
 V89K8vFqsLqrI7iYTm_BELFOsPr1FO60HbMP1psBBei5MgRTvCQKMwshoywN073mdeyxlKF96rvF
 R81c9LL0e3DcyPju22MYHQoUZkM1xnXrUR4yc7_Lp8fpk1O3cwtphHDycU6QDtpArQh9r0hGSwIK
 To9HVx7xrCdBA_eqIhyGk9HKCp4dG862maGNn2DWKBknJdr64g6vplUSldePNjAVxCNydnpWL9_2
 BI4YQYOmwMbAeHeTY.kOx_t4tpHLCr1hW6QoTSC01YljPxlOXDF38.I2O4g--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Sun, 24 Oct 2021 06:28:43 +0000
Received: by kubenode501.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bd3f0c9193e071b21b73b7f8b7a58070; 
 Sun, 24 Oct 2021 06:28:38 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
 <83fssr3q2s.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 14:28:35 +0800
In-Reply-To: <83fssr3q2s.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Oct
 2021 09:16:27 +0300")
Message-ID: <87ee8b5430.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 329
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks.  Can you try figuring out in which released Emacs version this
> started happening?

Sometime between 23.4 and 25.1.  I built 23.4 with the Gentoo patches
(strictly limited to resolving build problems), and it seems to work
fine, but this functionality is broken in 25.1.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 24 Oct 2021 07:02:01 +0000
Resent-Message-ID: <handler.51343.B51343.163505889817377 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163505889817377
          (code B ref 51343); Sun, 24 Oct 2021 07:02:01 +0000
Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 07:01:38 +0000
Received: from localhost ([127.0.0.1]:37766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meXVi-0004WD-2x
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 03:01:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meXVf-0004Vz-JD
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 03:01:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52840)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meXVa-0005Tp-5I; Sun, 24 Oct 2021 03:01:30 -0400
Received: from [87.69.77.57] (port=2345 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meXVY-0002B6-G5; Sun, 24 Oct 2021 03:01:30 -0400
Date: Sun, 24 Oct 2021 10:01:18 +0300
Message-Id: <83cznu52kh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87ee8b5430.fsf@HIDDEN> (message from Po Lu on Sun, 24 Oct
 2021 14:28:35 +0800)
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
 <83fssr3q2s.fsf@HIDDEN> <87ee8b5430.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: rgm@HIDDEN,  51343 <at> debbugs.gnu.org
> Date: Sun, 24 Oct 2021 14:28:35 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Thanks.  Can you try figuring out in which released Emacs version this
> > started happening?
> 
> Sometime between 23.4 and 25.1.  I built 23.4 with the Gentoo patches
> (strictly limited to resolving build problems), and it seems to work
> fine, but this functionality is broken in 25.1.

Thanks, I guess this means you have to step with a debugger into
x_set_toolkit_scroll_bar_thumb and see when it is called and what
values it produces, and perhaps compare between 23.4 and the current
code base.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 24 Oct 2021 09:48:01 +0000
Resent-Message-ID: <handler.51343.B51343.163506887726664 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163506887726664
          (code B ref 51343); Sun, 24 Oct 2021 09:48:01 +0000
Received: (at 51343) by debbugs.gnu.org; 24 Oct 2021 09:47:57 +0000
Received: from localhost ([127.0.0.1]:37956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mea6e-0006vy-Kj
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 05:47:56 -0400
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:45293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mea6c-0006vK-GL
 for 51343 <at> debbugs.gnu.org; Sun, 24 Oct 2021 05:47:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635068868; bh=2Oij5ky8vGtbw6ei4LESjiOQ1QLKu6Fgu0pKaFOz92k=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=jWcqiYCfC+twB+QUjSVo+58dWuFfqbPKN8x08hxBt7WVG+5z8V6jxlWqUY73IamCQryWibHtZYB780KQ+Kc6MFrvp00RTb0inxkBqdevRz7P7ubIITvXFcaAcSrgRPh2wTaHQYblWx+EMPQYMjR2DnsftvTKzXtLhrS8DLBtu5Bg+mvuYviM+Eh4daoZ5E0/7NEM5sEMVzLdLKKv+vQJbPfsyf/prW7o8vl/c58kRulP8YJnDEROZzwe6FMjsVJtDfF7XnCVYUS2cZa0Zw8bDUJwuq6tAF8ypOQ5k6pFKlrkKnF9ZvUJOsfA9Ev1YOiN/m9iBqC9FgFmMEJjy5kgkA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635068868; bh=yqiVWWpqskRMWzc3QFSyQAnfbOwnEhDvYiaRPR9fouR=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=OxjIYKim7GWjPetyWHg3yLLe9CUDAkFQMarbhPt6+xcnGw7TR26zAwPMWvIXh436HbrmlKVhrlYQcgwWq5ndIIVqEZVkK2gQer1cjWM/oeKmJAgpLnAHm+4i9cClrK21K0lbXlIwlAyio0nPC9Gaznn7bfLBbSDi5yG/uRVzq068vhetZYuRzbOGeAwoBIAWPSy2/CbC7LYVRPJhaWAzetqPjjMeG353OTkGsT6Wt41pnd7YpFS4DST5tLwyf9RzJzjlohIQqcxYOXLoLW5/8G63CagfjzT105gk4NOiFoU6wzYOhneHYoMjOwJmUUw9HuX1QTQMfIfXfIcLpfYUgA==
X-YMail-OSG: KB0BXB8VM1nN0ChhliMFB46pGjzXwCNwm0Af8IrX9r4geZgHYc8mkkGfDLaKJ9h
 wS2P5uUG0xOY0G_XFPNWnMUkGJWjgtUO7ICd.sX.LoQ5w0AgLKJoK3UqzDchov5BtC.zIwK.nHSD
 EPhAzFsYn00EJaFjyriYuO2vrop1kWDHokuWtkRJcojEDeb5ZMhnjaw8W4Jgzfdj_Z1Ln7dh0R6K
 gKaVc6BYVqANBdv.tUhBoaclAjpMiHn.qO7VclSlUfPnqc.FXt7qyt_qJBXYbODBHboNQiiobXsL
 q6.9FagmND8FRcEkAdjypYgUUzNVMHRC1_wSuD1WsVqOFOSiEhidRFGuRUhkfgZP8gy6.WOHGFgf
 foSuEfYsUcSai_gZ2tIcLiEaOpb3lEvW818KgLqPXirFzAq4YgOPYWKl4PPsJZTMRgYwepJWQY.c
 lmoQ0xIE7Jo.DaHRZ4TkQv.3U8ppT5q8Y_IacfeR1dC.wO3zVvp0UKKkkOwcWHzlkEQHxcu4YFup
 osYJUQ71.qbuqIR0YWZCt7t6Qce1ZRz9ZD57NPEehMClZWnHoVts4u.BZNq3H8G0Q3etgXxWx97O
 HAargTGMaVX963pjTmdICeHOzqKUATXV335_y4iDW0dPTeMctfqIweytpgGVuw1_d3Bg1yRyhLq8
 rUzCaXo5OjZ4MVonqnN7jflcC4ZlZfw6oW7OhCyJu7L7h6xv3QSeKC3ENj.Yc4MnE7xh4grPjNQS
 UBxn0WWk2PK0qPDTPQIcXk_36Yqrga5222Q5w.t2ZLYoPAIk1lmmOsvfM9eetNMVGQpcw7s4jQKP
 n9sknme.tiNKGcF4WjC4CTrIpnIp_oCGhx9xIxvy8VnTA7PHW3QD0Bqq4IOdGqrx9LYjvO2HnkeW
 fPgBf3OqZZyoa7D4HnAbtF3L6TdlzIOnY1Jeo3nnG2AaXaBrUG2o0AInDfwE830mnyAVn_j4N16s
 k_pHI7VoNXI__QPtoCRK94dE2L7.aLxQT5kxOkFAiGLGFnox0FF66L2cZPycAA6Ub5vaJIO0zvqo
 zdMaAw1eYjaV.IVeq3rvtda4flZRQkXTFEZ9NQ4wHlsVb44c2StP50T3f_rpQ.7BxY3KuZRTbIsy
 _E6frUm3B.RCUAnnHukyCvENuVAR6LlgkZZQRaOnL7KMJw7SAYKB6sKnujW8r5rTGR_I8QI5Errw
 LSfComM6tFOBskWGsJz4tkSxhnP0qoYLnzGYI4zV4xzBiJ9nFmYkhDNuXBgeVR2edfMpiL7PW1yW
 LpkcSVwEbYVC6QgVyOJJnkeuvKZ43m9wM3TRcO5ZKdLWiz.pozSl6KiVbdIgyUv2MkuUilA76nYA
 woFPEsoxtLXmeMwszcmcZsXFiqMjfs7mLKYXQ6FHXB0NuSXLvHgfUH8.2Nxbukk7i8zTJl01vVy.
 uO6qZrMKee88WvINljfADK6ZGftGXz2y1va2HtTQbBsjlXeloVP3dBHTbpec6GCALPMDj.FP82.5
 X9bwjPcodSmlbp_Z3LKlKZhzJtDO8eTSeJ70YAjVC5H0tp7a9xgdIHKqe31B0Fs9fb6tq0a_rsZd
 oshKmYFNe3vzPIGQsHOv0G6k.fksfWrwVS_36iVZqjcW_W3.41Jtg3Jkb6afBfzl5fY39QauCFpM
 VSt3JfhiUaB_ZwUwdolL_suEZCQOcpJB65whZ9nH5DAif_HFcFWHaiJwIifTgPJ9OVEi4TqJMpW5
 3l8e1HYgx82fIM8.WjyHfoXUxqaZG0_Elxyvcx26u6Phzm0z6Z3mKMwekqw15hO4DsGGJ4Ougb_3
 VBewUZdgfjbbkktbXM1PGjk2ZcgYX.Y82duBpBZIx_8jlbUgiBgXWwhQ9ip.9KPuHSJQeL0wRK6q
 gMqLIxxfSBM2dLbp3u2aGtZOes9veu7sWnnklfPycr5BYY_FK0SziMFoMQRWvFk0HDtTX0ycwrzb
 Kup9OCmCaanAoUWGRj.QFvicE1RjqfvxAjgzFAvDRcNmUU2MOKPjTqHmNoQmu7wfXZvtVY6D2Zan
 xSuppMN.m_fyubYbA3flmEMPwNOXwI.86ob_S.6bOcA0w_kuBWznfCwmVMQuyzEAIaOcbBfh.8Y5
 rXEc9kJ6VkoNEmTVB8EtjYQVWmIDT0LpvC7ChSX_tIUYfFXRDfQ_9eISIbWzwU_4gD7t43veihrs
 LSZGgSt6N.runSibdGC04jO.RN1KAppIhmm_f1l0rFiRXSCSLX3vgqP6sba4VauzWOjkG4Z1X03O
 KzcAvGWF232F9RGWHLFBwtZcZ8TcIb3AuFNRMoX2Z7R5.KA8aCuEYUw_Om68-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Sun, 24 Oct 2021 09:47:48 +0000
Received: by kubenode515.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID e2973ea3bc0779fb2a3350022c6aaccd; 
 Sun, 24 Oct 2021 09:47:43 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <83ilxo5etp.fsf@HIDDEN> <87pmrw83ob.fsf@HIDDEN>
 <w9zgqzygfg.fsf@HIDDEN> <877de36ue1.fsf@HIDDEN>
 <83fssr3q2s.fsf@HIDDEN> <87ee8b5430.fsf@HIDDEN>
 <83cznu52kh.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 17:47:39 +0800
In-Reply-To: <83cznu52kh.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Oct
 2021 10:01:18 +0300")
Message-ID: <87zgqy4uv8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 678
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks, I guess this means you have to step with a debugger into
> x_set_toolkit_scroll_bar_thumb and see when it is called and what
> values it produces, and perhaps compare between 23.4 and the current
> code base.

The Athena code in x_set_toolkit_scroll_bar_thumb has stayed the same
over those releases, and they are called under almost the same
circumstances in both releases.  IOW, XawScrollbarSetThumb is called
with the appropriate value in both releases, so that's not the problem
here.

I'm at a loss, and I don't know what else could possibly be affecting
this.  Perhaps someone else knows what the problem might be?

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Dec 2021 17:08:01 +0000
Resent-Message-ID: <handler.51343.B51343.163993366317791 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163993366317791
          (code B ref 51343); Sun, 19 Dec 2021 17:08:01 +0000
Received: (at 51343) by debbugs.gnu.org; 19 Dec 2021 17:07:43 +0000
Received: from localhost ([127.0.0.1]:47918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myzew-0004cs-NE
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 12:07:42 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:47472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1myzet-0004ce-SP
 for 51343 <at> debbugs.gnu.org; Sun, 19 Dec 2021 12:07:40 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D5FB2100189;
 Sun, 19 Dec 2021 12:07:33 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 39A061000C4;
 Sun, 19 Dec 2021 12:07:32 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1639933652;
 bh=Ivb7eQufvrceW6FFloLk089n/j/cgmi1hHBGN2MKEoU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=Q0L+FXjIf1JXPL87Ei7uPVoHBOY4tJU01BOxyGHi2d/i3dev/kaiR6iXnX/WURX17
 gjEdSxP8Ur6FoKOn9IB65IUQUhifkCDIHXNQ6mVmE4qUxSoe4K/sDu+6amzTZLKW/5
 MyuEqkVIZfgYWJbKFLS2rpggYRswyA/dvxD63JyaeqKRZN/3B0IMOtJA2yxTkW8ZvN
 KmeCFbLTo6O/5YuSdv4xMyOYx2eZK5OmZYeZtILv/l1xIh4oE6ZfJpVqihAhIiBJFs
 015mGgqVpG7sjlD3gTIXGb2lrfRBf/FJhmX5SJ0Tn4XjRjTH1Qmg0LbCsnJw2/ju79
 MCHbV2aq7hEVg==
Received: from pastel (unknown [216.154.30.173])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 09A471207C1;
 Sun, 19 Dec 2021 12:07:31 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv1r28bkcz.fsf-monnier+emacs@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
Date: Sun, 19 Dec 2021 12:07:27 -0500
In-Reply-To: <878ryk9owv.fsf@HIDDEN> (Po Lu's message of "Sat, 23 Oct 2021
 15:32:48 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.089 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu [2021-10-23 15:32:48] wrote:
> Previously, in an Emacs built with Xaw3d scroll bars, the thumb
> proportion would update as the scrollbar was dragged.  Now it doesn't
> update until the scrollbar is released, and something that makes the
> scrollbar position change happens.

To give you some context:

Many years ago, I spent a fair bit of time trying to get scrollbars
working "right".  It's a major pain in the ass, because most toolkits
don't support our requirements: once the bottom of the thumb hits the
bottom of its course it stops there, but the corresponding top part of
the thumb may correspond to a window-start which leads to a screen where
point-max is not visible (in response to which we'd reduce the size of
the thumb, but that happens too late (either because the toolkit has
already decided not to tell us that the user's mouse was trying to go
further, or because the toolkit doesn't support updating the thumb size
while dragging it).

There was a simple patch to Xaw3d which made it behave more like Xaw (by
making the Xaw3d more like Xaw's) and made the whole thing work
perfectly for us, but it was never accepted upstream because it went
against their philosophy of what "the metaphor should be".


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Dec 2021 01:08:01 +0000
Resent-Message-ID: <handler.51343.B51343.163996245816998 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51343
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 51343 <at> debbugs.gnu.org
Received: via spool by 51343-submit <at> debbugs.gnu.org id=B51343.163996245816998
          (code B ref 51343); Mon, 20 Dec 2021 01:08:01 +0000
Received: (at 51343) by debbugs.gnu.org; 20 Dec 2021 01:07:38 +0000
Received: from localhost ([127.0.0.1]:48517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mz79N-0004Q6-MP
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 20:07:37 -0500
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:40209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mz79K-0004Pr-Fa
 for 51343 <at> debbugs.gnu.org; Sun, 19 Dec 2021 20:07:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1639962515; bh=H/hRLuvTK195Q/zSkIkjfP/Hp+5omHAB6V8k+6MoggY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=uG8lZPRsYJR649ofPv2G9WP7mcM5hx7TQwbQ4Z6gkRW17M9hTGAOsy23t9nC/72Bgg8k7oDuL3cCOU8IKMCxMQUHdhsLF/CrsNvL4tjSzRz8KqWopOKZlJQyI7OHbOE2MdHU20axpiEOkspOU22LRqKsxRHfgk1rULNAjEngpKz3nwfBT10gH4CUNdyKe0WAizdufoXSWdil6CqMbQVA0n7Q0O3MnBgu+TFIhZSkGT5aUDL8PqrbPcYLf6N+2WG02t6Uc7o+UzLG1cpGtNcsBuQLgYCAF/rttcW+1x9+1zR0PigHdcR8fvsZI4EQhJKeNOs9OjYpprmY4kcLFxo7YQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1639962515; bh=f1KNaVFQ4ARQCKZBWv90JV02XlFtRjfSkfdtY1VPOHD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=poN8+0RBCMXfeBUcoJiHGhCnoPBR7O1xSXZlpg+/PZ2LzLNt24ljiN4wll12ifGeOmGEMgdjQbbivTmzVk/7vbsht6Z/uAimsYQiwV+umZX1xU97fVIwMNokuvZsZMHJKl7CawEkabpYdYTPLEw6kBWbWXlAJtQgLJNC61jnbW9y2NGYxuT7RtGl6zcB6ILyrhiVE5IprRgIgaW7s7zGMH9DPQs8ueSDAa5FzPqdUHKXjpil1IdfF6/OT+kx2fKbsBvGuhIO/DK4CRWoq0/LG7savYHCzG06c8C2oXEFp3DEbIpcnrUwP8Sc3pdg8GOVwRamve7m/OQPkxxXyNxe6Q==
X-YMail-OSG: 4anVo9YVM1lz4AeKSxhhtLKTsOOtH0l56ZfZVfkSzE5YfC6LEWdFUejIPu.LLRI
 XAMomrSWo47KTv1tv3UxoXF5GMv58_3rAhr7Yi7JWHhvo6NpbN6G7JHdW7iue5ft.kY.87h6YqUE
 lMg3vSQRyzNudzx9IvzD5sS39wb2kClVlWz_Jr.49_ciXBcBSuyT2Hg26p9F2H2VSj2kdKSYExJl
 GfRq2Wa9Xg_j16L.EC4gfRO2E1ZIoMSD6BIxTN9I.YlhpaHPpNWAp3lPhj_V8xK7_ssqxa5llLeu
 FMOq_heFX8kQl5MMxbJOfFc9.kQEBWdCNvyjfWWV7WHSjrnPDI2Fs49jaw4lNqxA2J648mlKQhhs
 WIBgGKapVxifkw7PzERe47xNa99XnE5uxqgeongXO9PRcAt8cd00ChspycDn0AyfCkKaOioLjKwV
 qjPV_NW4Th08YedwB4i0oAdnr7H44zyooXeLx1UutRaA95VdwsYk2paDmMT8zGnHg7bio82yIvIZ
 bWNklYeWmv_J2rwgfYx0lmAIY8aQfJqEE4WSvJButnsjN2rIlHEGy6x5WI8_ASq74.1NV37WV5Ug
 FGlz3W1XVgUNHqf8egDZKWVMTcKlhPTNV_aDGPJF_UWRyLVPo5owD.z6NS1TqcLNwG8NOpgUbsm6
 9hCz2gvcxm5Y8ublA0JK7WlmL.KMSfAAHN81WoedMOav334pd0mpXeLRs.wcskR5z.39wQUz3ZKT
 NZl2kzwEHHH4JhmFqm0C64giqoYGRxXTwLMxgY2QLiMVKlZWgRsCYCAmxmGFDR5UiAtWUtfLp.aM
 38NBh.04Z4o6iDpC5gAkVFziBC6u9AiHZmt8kkYIqjohpwmnI5v60F.YV_lfrB2F2HqCOcKefYiP
 fr2BloJM.nvpnYp73KdjGISVJLA4QpuWHBZpwZmS16ZaD8of51Zwu5e20cEGlq.byBz0Tous1pKS
 F3Kp9tOrwxAa6no7_HBG_JLd0VaWphFSHN9X_fx_86L8L4Jdx63JpS4m2whvxQvwoWj27ETO5D8d
 TW4qChnpdmpzFIh5k_9LAwqidsrCddmy7Td1XrSUAwKhOBUeAauUaHTAQPw9cqY1...PkkQkDLK4
 ewAIt.5eUpeYZ.tm0tlRJc.hVIoqnjLAuRJL99_aZZ5njU2TKy6sifC_zqiYErFbFJxhLZ.Ui3Jq
 4ThNIbLKDdrfm6_mkSPRGW0gvTQZqT_Ij8fQUnHpr499teosTYC_MAqJPlmKfOpnTqpBNH3iyYk8
 _xkjQkl6vJwjCjr.WSnsXW.vlaoqA7U1_wfFVuJLpTp5gXnJ9CSBADKOm3iMQry4c67HqEgMCGf2
 DiLTPDjocHPJp9WFQYtz5Bzbr3FFctnUCvrEoMUM739_cU9nuPxjSpd6oA2LhfftGFlnpCFJJAfS
 fnWylcZib_SMFEr8uQNXP2_Yl9Z6tuSZjJHWdSgtQan.xt4kCmsUDo2Fg9POlUmail5gO_wN7rnp
 Gt7zxJbasJUCVOVcB7FL1nH1Edw9JNnul2CZi8PPGGYT6lv44LWz2tVPyKqxUGLpO4Qd2A4vM6c2
 5vHl7G.KcfFhgsE3bmKbWzNQU0JIEiN0BClTbZEKiRPlt21HgGevAE2yGufOGZPAkFtTd7EzViS_
 h8et9OK15Hbg25dfq0QO5YFLkJBCz1hk9jkv.bZREtcg12l3fKFEd0egUksdGwkPjrGRfM736yRq
 LS5r_Y5nf7xcC37W0VfUIstQ3Xp3eTJQazhem1xl_ZsX0IZck.yC.nI8.x.myntYEn77nZ_UHWG0
 ucwbS3SSY08NT8zgJcKarQb9.QJg.FOiCMNRIQ3x8OiRRqVG189MwmZKKygGeJR.y2FKUzuPxKn8
 p8J0Z3hjo1lm48iO8sT5AiB_9Oxklqd3DrDpuVlvrnIyEBPr5tzIC7qq4zKVdaVXoCosMfhzEent
 2iBzAI.xK7PLJMR2Wx.CWHdbk4vGIRCdLSvXGBNpgmzMpnXdBidJfP7x47C8UTXMBWXesaOrbuHg
 dBW4Zm3UIpRLEaoVO9QW_3KXj_GaxbFUxwviP5wL.vcJqAq3jsmZVDxHvD.uSPSb2TVgFIJ_MipD
 FjZcdRQ60rUAoRhW2AVW00F42ynvsfgwvegFxXlGKMTW8ZVKxELRgEM8PTEguqent3pxPzVLgmmC
 MAqj4ci3quQ26CB2FpTejiec6EVyG888BIXPgCGGPs2LrwfithBjDeKTzxfZh0xmrGrB10kfAfO9
 oerMSdrRp2TYtRKzaBCfQA4AatIaqdh8erJLG2.H8Z41F5KJ7nfPzHq87Cw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Mon, 20 Dec 2021 01:08:35 +0000
Received: by kubenode518.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 43687c968d135ceb9c651daa7c6cc2de; 
 Mon, 20 Dec 2021 01:07:25 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <878ryk9owv.fsf.ref@HIDDEN> <878ryk9owv.fsf@HIDDEN>
 <jwv1r28bkcz.fsf-monnier+emacs@HIDDEN>
Date: Mon, 20 Dec 2021 09:07:20 +0800
In-Reply-To: <jwv1r28bkcz.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 19 Dec 2021 12:07:27 -0500")
Message-ID: <87ilvk5bjr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19498
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1423
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> Po Lu [2021-10-23 15:32:48] wrote:
>> Previously, in an Emacs built with Xaw3d scroll bars, the thumb
>> proportion would update as the scrollbar was dragged.  Now it doesn't
>> update until the scrollbar is released, and something that makes the
>> scrollbar position change happens.
>
> To give you some context:
>
> Many years ago, I spent a fair bit of time trying to get scrollbars
> working "right".  It's a major pain in the ass, because most toolkits
> don't support our requirements: once the bottom of the thumb hits the
> bottom of its course it stops there, but the corresponding top part of
> the thumb may correspond to a window-start which leads to a screen where
> point-max is not visible (in response to which we'd reduce the size of
> the thumb, but that happens too late (either because the toolkit has
> already decided not to tell us that the user's mouse was trying to go
> further, or because the toolkit doesn't support updating the thumb size
> while dragging it).
>
> There was a simple patch to Xaw3d which made it behave more like Xaw (by
> making the Xaw3d more like Xaw's) and made the whole thing work
> perfectly for us, but it was never accepted upstream because it went
> against their philosophy of what "the metaphor should be".

This particular feature used to work in Emacs 23 though, so that can't
be the entirety of the problem.





Last modified: Mon, 20 Dec 2021 01:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.